org.apache.calcite.avatica

## Class MetaImpl.MetaCatalog

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaCatalog

All Implemented Interfaces:
  MetaImpl.Named

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaCatalog
    extends Object
    implements MetaImpl.Named

Metadata describing a catalog.

### Field Summary

Fields
`String` `tableCat`

### Constructor Summary

Constructors
Constructor and Description
`MetaCatalog(String tableCatalog)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final String tableCat

### Constructor Detail

#### MetaCatalog

    public MetaCatalog(String tableCatalog)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`